Subject: Re: [lojban] Logic course

From: "G. Dyke" <[email-masked]>
Date: Tue, 19 Mar 2002 20:37:35 +0100

PCn:

> In a message dated 3/19/2002 9:52:05 AM Central Standard Time,
> [email-masked] writes:
>
>
> > 1){roda de zo'u li da su'i de du li no}
> > (can only da de and di (w/ subscripts) be used as bound variables ?)
what
> > does
> > 1'){roxy. zy. zo'u li xy su'i zy. du li no} mean ? the same as 1)?
> >
>
> Apparently only {da, de, di} . {xy} and so on are anaphoric pronouns and
> will pick up other things. BUT in a clearly MEX environment, they
function
> as variables, for reading formulae. Question: How tell that this is a
> clearly MEX environment. I think it is, since there is a formula to read:
<
> 1)AxEy(x + y = 0)>

???

>
> Further, the parser (do check this always) rejects {li da} out of hand, so
> use either just {da}, etc. throughout or {li xy}

{roda goi xy. de goi zy. zo'u li xy su'i zy du li no}
{roda de zo'u li no sumji da de}

these parse

>
> <2)AxAyAz(x + y = x + z = 0 => y = z)
> 2){roda rode rodi zo'u du li da su'i de li da su'i di li no .inaja du li
de
> li di} this can also be written
> 2') {roda su'epada zo'u du li da su'i de li no}, but we are just starting
> and are not working with languages as powerfull as lojban yet .uinai>
>
> Same problem with {li da} as before. I think you need {fa} in front of
the
> right-shifted first arguments: {roda rode rodi zo'u du fa da su'i de da
su'i
> di li no .inaja du fa de
> di} This still does not work: {du} is a two-place argument,

RefGramm 18;7

Note the difference between ``dunli'' and ``du''; ``dunli'' has a third
place that specifies the kind of equality that is meant. ``du'' refers to
actual identity, and can have any number of places:

7.2) py. du xy.boi zy.
``p'' is-identical-to ``x'' ``z''
p = x = z

I don't get why this is not li py du li xy du li zy

so the three
> place version does not work; you need {roda rode rodi zo'u du fa da su'i
de
> da su'i di ije du fa da su'i di li no .inaja du fa de di}
> And finally, the parser does not see {da su'i de} etc. as sumti, but takes
> the {da} and puzzles about the rest. I wonder if it goes better with
{xy},
> etc.

{roda goi ny rode goi my rodi goi sy zo'u du li ny su'i my li ny su'i sy li
no .inaja du li my li sy} parses and the prenex stays over the inaja

>
> {su'epa de} and I think the default on {su'e} is {pa}, so just {su'e de}.
>
> <3)Ey(x = y * y)
> 3){da zo'u li xy. du li da pi'i da}>
>
> Still doesn't get {pi'i da} nor {li da}. I expect that this is true (mut
> mut) for 4 as well.
> And 5.
> <5)Ax(Ez(x = z**2) => Ey(x = y * 4))
> 5){roda zo'u de zo'u li da du li de te'a re .inaja di zo'u li da du li di
> pi'i vo}>
>
> An argument for forethought connectives, though I think this works out
right.
> And you could skip the internal preneces.

how? (this is a question, not a challenge ;-)

> But, perversely, {vo} needs a
> {li}.

only because the da should have taken one...

>
> I think part of the problem is the mixture of MEX, which is for reading a
> formula, with ordinary Lojban, which is about saying what the formula
means.

hmmm

Greg

p.s. is there a better way to check comething parses than to write it into a
file, open a ms dos prompt, cd jbofihe and jbofihe test.txt?